Alex requirement for Setup.lhs

Philip K.F. Hölzenspies p.k.f.holzenspies at
Tue Dec 2 07:56:03 EST 2008

Dear all,

Hopefully, you will excuse me for my lack of experience with Cabal. I have 
seen quite a few e-mails on this list that seem related to this issue, but my 
specific error, I did not find. Thus:

Since installing 6.10.1, I can't perform Setup.(l)hs functions. The error 
message I get is:

Setup.hs: alex is required but it could not be found.

The problem is that I get this error also when I try to "runghc Setup.lhs 
build" alex (is the fact that "runghc Setup.lhs configure" does *not* produce 
this error significant?). I'm running an OpenSuSE 10.3 installation on which 
I can only install rpms from standard repositories. In these repositories, 
there is no binary distribution of alex. How do I install alex from source 
without requiring alex?


More information about the Glasgow-haskell-users mailing list